> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Checkout

> Order to sponsor an entity



## OpenAPI

````yaml get /frontend/order/{client_id}/{program_id}/{session_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /frontend/order/{client_id}/{program_id}/{session_id}:
    get:
      tags:
        - Frontend
      summary: Checkout
      description: Order to sponsor an entity
      operationId: 57ee3a4d02c0809bd4cd671b47d95254
      parameters:
        - name: client_id
          in: path
          description: The id of the client
          required: true
          schema:
            type: integer
        - name: program_id
          in: path
          description: The id of the program
          required: true
          schema:
            type: integer
        - name: session_id
          in: path
          description: Session ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                    example: success
                  data:
                    properties:
                      session_id:
                        type: string
                        example: abc123
                      client_id:
                        type: integer
                        example: 1
                      program_id:
                        type: integer
                        example: 1
                      signup_fields:
                        type: array
                        items:
                          type: string
                      text_checkout:
                        type: string
                        example: Checkout
                      useCC:
                        type: boolean
                        example: true
                      isDonorCardActive:
                        type: boolean
                        example: true
                      session_logged_in:
                        type: boolean
                        example: true
                      login_box:
                        type: string
                        example: Login Box
                      num_of_sponsorships:
                        type: integer
                        example: 1
                      payment_options:
                        type: array
                        items:
                          type: string
                      hide_payment_method:
                        type: boolean
                        example: false
                      default_payment_method:
                        type: string
                        example: Credit Card
                      months:
                        properties:
                          '10':
                            type: string
                            example: 10 - October
                          '11':
                            type: string
                            example: 11 - November
                          '12':
                            type: string
                            example: 12 - December
                          '01':
                            type: string
                            example: 01 - January
                          '02':
                            type: string
                            example: 02 - February
                          '03':
                            type: string
                            example: 03 - March
                          '04':
                            type: string
                            example: 04 - April
                          '05':
                            type: string
                            example: 05 - May
                          '06':
                            type: string
                            example: 06 - June
                          '07':
                            type: string
                            example: 07 - July
                          '08':
                            type: string
                            example: 08 - August
                          '09':
                            type: string
                            example: 09 - September
                        type: object
                      years:
                        properties:
                          '2022':
                            type: integer
                            example: 2022
                          '2023':
                            type: integer
                            example: 2023
                          '2024':
                            type: integer
                            example: 2024
                          '2025':
                            type: integer
                            example: 2025
                          '2026':
                            type: integer
                            example: 2026
                          '2027':
                            type: integer
                            example: 2027
                          '2028':
                            type: integer
                            example: 2028
                          '2029':
                            type: integer
                            example: 2029
                          '2030':
                            type: integer
                            example: 2030
                          '2031':
                            type: integer
                            example: 2031
                        type: object
                      stripe_pubkey:
                        type: string
                        example: pk_test_1234
                      processing_fee:
                        type: string
                        example: $5.00
                      processing_percentage:
                        type: string
                        example: 2.9%
                      num_sponsorships:
                        type: integer
                        example: 1
                    type: object
                type: object
        '500':
          description: >-
            Error: Administrator must enable a payment method in program
            settings.
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: >-
                      Error: Administrator must enable a payment method in
                      program settings.
                  status:
                    type: string
                    example: error
                type: object

````